org.fourthline.cling.support.model

## Class DIDLObject.Class

- java.lang.Object
- - org.fourthline.cling.support.model.DIDLObject.Class

- Enclosing class:
    DIDLObject

      public static class DIDLObject.Class
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `friendlyName`
    `protected boolean` | `includeDerived`
    `protected String` | `value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DIDLObject.Class()`
    `DIDLObject.Class(String value)`
    `DIDLObject.Class(String value, String friendlyName)`
    `DIDLObject.Class(String value, String friendlyName, boolean includeDerived)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(DIDLObject instance)`
    `String` | `getFriendlyName()`
    `String` | `getValue()`
    `boolean` | `isIncludeDerived()`
    `void` | `setFriendlyName(String friendlyName)`
    `void` | `setIncludeDerived(boolean includeDerived)`
    `void` | `setValue(String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### value

          protected String value

    - #### friendlyName

          protected String friendlyName

    - #### includeDerived

          protected boolean includeDerived

  - ### Constructor Detail

    - #### DIDLObject.Class

          public DIDLObject.Class()

    - #### DIDLObject.Class

          public DIDLObject.Class(String value)

    - #### DIDLObject.Class

          public DIDLObject.Class(String value,
                          String friendlyName)

    - #### DIDLObject.Class

          public DIDLObject.Class(String value,
                          String friendlyName,
                          boolean includeDerived)

  - ### Method Detail

    - #### getValue

          public String getValue()

    - #### setValue

          public void setValue(String value)

    - #### getFriendlyName

          public String getFriendlyName()

    - #### setFriendlyName

          public void setFriendlyName(String friendlyName)

    - #### isIncludeDerived

          public boolean isIncludeDerived()

    - #### setIncludeDerived

          public void setIncludeDerived(boolean includeDerived)

    - #### equals

          public boolean equals(DIDLObject instance)

Copyright © 2014 4th Line GmbH, Switzerland. All Rights Reserved.